import { Component, OnInit,Input } from '@angular/core';
import { Location } from '@angular/common';
import {UserService} from '../../../dtcservice/user.service';
import { User } from '../../../dtcservice/user'

@Component({
  selector: 'app-user-form',
  templateUrl: './user-form.component.html',
  styleUrls: ['./user-form.component.scss']
})
export class UserFormComponent implements OnInit {
  @Input() user:User;
  constructor(private location:Location,private userService:UserService) { }

  ngOnInit() {
  }

  save():void{
    if(!this.user.id){
      this.userService.addUser(this.user).subscribe(() => this.back());
    }else{
      this.userService.updateUser(this.user,this.user.id).subscribe(() => this.back())
    }
  }

  back():void {
    this.location.back();
  }

}
